extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'Login Screen React Component | Framework7 React Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 Login Screen React Component
      script(src="/js/motion/loginscreen.js")
      f7-motion-loginscreen(motion)

    p Login Screen React component represents <a href="../docs/login-screen.html">Login Screen</a> component.
    h2 Login Screen Components
    p There are following components included:
    ul
      li `LoginScreen`  - login screen element
      li `LoginScreenTitle`  - login screen title element
    h2 Login Screen Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;LoginScreen&gt; properties
        tr
          td opened
          td boolean
          td false
          td Allows to open/close Login Screen and set its initial state
        tr
          td animate
          td boolean
          td
          td Whether the modal should be opened/closed with animation or not
        tr
          td containerEl
          td HTMLElement<br>string
          td
          td Element to mount modal to (default to app root element)

    h2 Login Screen Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;LoginScreen&gt; events
        tr
          td loginScreenOpen
          td Event will be triggered when Login Screen starts its opening animation
        tr
          td loginScreenOpened
          td Event will be triggered after Login Screen completes its opening animation
        tr
          td loginScreenClose
          td Event will be triggered when Login Screen starts its closing animation
        tr
          td loginScreenClosed
          td Event will be triggered after Login Screen completes its closing animation
    h2 Open And Close Login Screen
    p In addition to Login Screen open()/close() methods, you can open and close it:
    ul
      li using <a href="../docs/login-screen.html">Login Screen API</a>
      li by passing `true` or `false` to its `opened` prop
      li by clicking on <a href="link.html">Link</a> or <a href="button.html">Button</a> with relevant `loginScreenOpen` property (to open it) and `loginScreenClose` property to close it

    h2 Examples
    +examplePreview('react', 'login-screen.jsx', 'login-screen')

    h4 Separate Login Screen Page
    +examplePreview('react', 'login-screen-page.jsx', 'login-screen-page')
